curl --request POST \
--url https://api.hubapi.com/webhooks-journal/snapshots/2026-03/crm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"snapshotRequests": [
{
"objectId": 123,
"objectTypeId": "<string>",
"portalId": 123,
"properties": [
"<string>"
]
}
]
}
'import requests
url = "https://api.hubapi.com/webhooks-journal/snapshots/2026-03/crm"
payload = { "snapshotRequests": [
{
"objectId": 123,
"objectTypeId": "<string>",
"portalId": 123,
"properties": ["<string>"]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
snapshotRequests: [
{
objectId: 123,
objectTypeId: '<string>',
portalId: 123,
properties: ['<string>']
}
]
})
};
fetch('https://api.hubapi.com/webhooks-journal/snapshots/2026-03/crm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snapshotResponses": [
{
"objectId": 123,
"objectTypeId": "<string>",
"portalId": 123,
"snapshotStatusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create CRM object snapshots
Create a batch of CRM object snapshots for the specified portal. This endpoint allows you to capture the state of CRM objects at a specific point in time, which can be useful for auditing or historical analysis. The request requires a list of CRM object snapshot requests, each specifying the portal ID, object ID, object type ID, and properties to include in the snapshot.
Supported products
Supported products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
An array of CrmObjectSnapshotRequest objects, each representing a request to create a snapshot for a specific CRM object. This property is required.
Show child attributes
Show child attributes
Response
successful operation
An array of CrmObjectSnapshotResponse objects, each representing the result of a snapshot operation for a specific CRM object. This property is required.
Show child attributes
Show child attributes
Was this page helpful?